Subject: Re: bug#15951: 24.3.50; C-n and C-p don't work in narrowed buffer

From: Katsumi Yamaoka <[email-masked]>
Date: Fri, 22 Nov 2013 22:10:15 +0900

Stephen Berman <[email-masked]> wrote:
> On Fri, 22 Nov 2013 13:14:49 +0900 Katsumi Yamaoka <[email-masked]> wrote:
>> Run Emacs with the -Q option, create a new buffer, and put those
>> three lines there,

>> foo
>> bar
>> baz

>> type  C-p  C-p  C-SPC  M-> , and type `C-x n n' so that the last
>> two lines are visible.  Then you will see C-n and C-p don't work.

> This is evidently more fallout from enabling cache-long-scans: if you
> set this to nil, C-n and C-p work again.

Thanks.  I confirmed (setq-default cache-long-scans nil) helps.
I overlooked it is buffer-local.